# txpool\_status

Returns the status of the transaction pool, including the number of pending and queued transactions.

This method will use `80` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

`None`

## **Returns**

`Object` - An object with keys for `pending` and `queued`, indicating the total number of transactions in each state.

```bash
// Result
{
	"jsonrpc": "2.0",
	"id": 67,
	"result": {
		"pending": "0x0",
		"queued": "0x0"
	}
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"txpool_status","params":[],"id":67}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"txpool_status","params":[],"id":67}'

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/mezo/execution-api/txpool_status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
